# PyMoDAQ Plugin Manager

[<img src="https://img.shields.io/pypi/v/pymodaq_plugin_manager.svg">](https://pypi.org/project/pymodaq_plugin_manager/)
[<img src="https://readthedocs.org/projects/pymodaq/badge/?version=latest">](https://pymodaq.readthedocs.io/en/stable/?badge=latest)
[<img src="https://github.com/PyMoDAQ/pymodaq_plugin_manager/workflows/Upload%20Python%20Package/badge.svg">](https://github.com/PyMoDAQ/pymodaq_plugin_manager)


A plugin manager for PyMoDAQ, Modular Data Acquisition with Python.

Give a list of available, installable or updatable plugins compatible with pymodaq


# PyMoDAQ Plugins
|                                                     Repo Name                                                      |                                                                                                                                                                                    Authors                                                                                                                                                                                    |                                           Version plugin                                           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         Instruments                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| ------------------------------------------------------------------------------------------------------------------ | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| <a href="https://pypi.org/project/pymodaq-plugins-alcatel/" target="_top">Alcatel</a>                              | <ul><li>Titouan Gadeyne  (titouan.gadeyne@cea.fr)</li></ul>                                                                                                                                                                                                                                                                                                                   | <a href="https://pypi.org/project/pymodaq-plugins-alcatel/" target="_top">1.1.0</a>                | Viewer0D<ul><li>**ACM1000**: Alcatel ACM 1000 six-port gauge controller</li></ul>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| <a href="https://pypi.org/project/pymodaq-plugins-amplitude/" target="_top">Amplitude</a>                          | <ul><li>_S. J. Weber</li></ul>                                                                                                                                                                                                                                                                                                                                                | <a href="https://pypi.org/project/pymodaq-plugins-amplitude/" target="_top">0.1.1</a>              | Viewer0D<ul>   <li>     **AmplitudeSystemsCRC16**: Let you control the laser settings and grab info on the laser status (tested on a Satsuma)   </li> </ul>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| <a href="https://pypi.org/project/pymodaq-plugins-andor/" target="_top">Andor</a>                                  | <ul><li>Sbastien. J. Weber</li></ul>                                                                                                                                                                                                                                                                                                                                         | <a href="https://pypi.org/project/pymodaq-plugins-andor/" target="_top">1.1.2</a>                  | Actuators<ul><li>**Shamrock**: Shamrock series of spectrometer used as a monochromator</li></ul>Viewer1D<ul>   <li>     **ShamrockCCD**: Shamrock series of spectrometer using the Andor CCD cameras (built using double inheritance)   </li>   <li>     **ShamrockSCMOS**: Shamrock series of spectrometer using the Andor SCMOS cameras (Not tested) (built using double inheritance)   </li>   <li>     **ShamrockCCDComposition**: Shamrock series of spectrometer using the Andor CCD cameras (built using CCD camera inheritance and Shamrock composition)   </li>   <li>     **ShamrockSCMOSComposition**: Shamrock series of spectrometer using the Andor SCMOS cameras (Not tested) (built using SCMOS camera inheritance and Shamrock composition)   </li> </ul>Viewer2D<ul>   <li>**AndorCCD**: Andor CCD camera using the SDK2</li>   <li>**AndorSCMOS**: Andor CCD camera using the SDK3</li> </ul>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| <a href="https://pypi.org/project/pymodaq-plugins-arduino/" target="_top">Arduino</a>                              | <ul>   <li>     Sebastien J. Weber  (sebastien.weber@cemes.fr)               .. if needed use this field              Contributors         ============              * First Contributor         * Other Contributors          .. if needed use this field            Depending on the plugin type, delete/complete the fields below   </li> </ul>                            | <a href="https://pypi.org/project/pymodaq-plugins-arduino/" target="_top">0.0.3</a>                | Actuators<ul>   <li>     **LED**: control of a multicolor LED using three PWM digital outputs and the Telemetrix library.   </li>   <li>     **LEDwithLCD**: same as **LED** actuator but displaying the red, green, blue values on a standard 16x2 liquid crystal   </li> </ul>    Viewer0D<ul></ul>    Viewer1D<ul></ul>    Viewer2D<ul></ul>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| <a href="https://pypi.org/project/pymodaq-plugins-AvaSpec/" target="_top">AvaSpec</a>                              | <ul>   <li>First Author  (myemail@xxx.org)</li>   <li>     Other author (myotheremail@xxx.org)          .. if needed use this field              Contributors         ============              * First Contributor         * Other Contributors          .. if needed use this field            Depending on the plugin type, delete/complete the fields below   </li> </ul> | <a href="https://pypi.org/project/pymodaq-plugins-AvaSpec/" target="_top">0.1.2</a>                | Actuators<ul>   <li>**yyy**: control of yyy actuators</li>   <li>**xxx**: control of xxx actuators</li> </ul>Viewer0D<ul>   <li>**yyy**: control of yyy 0D detector</li>   <li>**xxx**: control of xxx 0D detector</li> </ul>Viewer1D<ul>   <li>**yyy**: control of yyy 1D detector</li>   <li>**xxx**: control of xxx 1D detector</li> </ul>Viewer2D<ul>   <li>**yyy**: control of yyy 2D detector</li>   <li>**xxx**: control of xxx 2D detector</li> </ul>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| <a href="https://pypi.org/project/pymodaq-plugins-basler/" target="_top">Basler</a>                                | <ul><li>Benedikt Burger</li></ul>                                                                                                                                                                                                                                                                                                                                             | <a href="https://pypi.org/project/pymodaq-plugins-basler/" target="_top">0.1.1</a>                 | Actuators<ul></ul>Viewer0D<ul></ul>Viewer1D<ul></ul>Viewer2D<ul><li>**Basler**: control of Basler cameras</li></ul>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| <a href="https://pypi.org/project/pymodaq-plugins-bnc/" target="_top">Bnc</a>                                      | <ul><li>Christian Cabello</li></ul>                                                                                                                                                                                                                                                                                                                                           | <a href="https://pypi.org/project/pymodaq-plugins-bnc/" target="_top">0.0.6</a>                    | Actuators<ul><li>**BNC**: control of BNC575 Delay Generator</li></ul>Viewer0D<ul></ul>Viewer1D<ul></ul>Viewer2D<ul></ul>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     |
| <a href="https://pypi.org/project/pymodaq-plugins-crystal-technology/" target="_top">Crystal_technology</a>        | <ul>   <li>     Sbastien J. Weber  (sebastien.weber@cnrs.fr)          .. if needed use this field         Contributors         ============         * First Contributor         * Other Contributors   </li> </ul>                                                                                                                                                           | <a href="https://pypi.org/project/pymodaq-plugins-crystal-technology/" target="_top">0.0.1</a>     | Actuators<ul><li>**AOTFPro**: control of the AOTF from YSl and Crystal Technology</li></ul>Viewer0D<ul></ul>Viewer1D<ul></ul>Viewer2D<ul></ul>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| <a href="https://pypi.org/project/pymodaq-plugins-daqmx/" target="_top">Daqmx</a>                                  | <ul><li>Sbastien J. Weber</li></ul>                                                                                                                                                                                                                                                                                                                                          | <a href="https://pypi.org/project/pymodaq-plugins-daqmx/" target="_top">0.3.1</a>                  | Actuators<ul><li>**DAQmx_MultipleScannerControl**: Control of piezo scanners with an analog output.</li></ul>Viewer0D<ul><li>**DAQmx_PLcounter**: Single photon counting</li></ul>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| <a href="https://pypi.org/project/pymodaq-plugins-femto/" target="_top">Femto</a>                                  | <ul><li>_S. J. Weber</li></ul>                                                                                                                                                                                                                                                                                                                                                | <a href="https://pypi.org/project/pymodaq-plugins-femto/" target="_top">0.1.0</a>                  | Viewer1D<ul><li>**femto**: Fake detector mocking typically a spectrometer acquiring FROG traces</li></ul>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| <a href="https://pypi.org/project/pymodaq-plugins-flim/" target="_top">Flim</a>                                    | <ul><li>Sebastien J. Weber</li></ul>                                                                                                                                                                                                                                                                                                                                          | <a href="https://pypi.org/project/pymodaq-plugins-flim/" target="_top">0.1.0</a>                   | ViewerND<ul><li>**FLIM**: FLIM using piezoconcept XY stage and picoquant timeharp TH260"</li></ul>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| <a href="https://pypi.org/project/pymodaq-plugins-greateyes/" target="_top">Greateyes</a>                          | <ul><li>Romain Geneaux</li></ul>                                                                                                                                                                                                                                                                                                                                              | <a href="https://pypi.org/project/pymodaq-plugins-greateyes/" target="_top">1.0.2</a>              | Viewer2D<ul><li>**GreateyesCCD**: Greateyes CCD cameras using the SDK</li></ul>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| <a href="https://pypi.org/project/pymodaq-plugins-hamamatsu/" target="_top">Hamamatsu</a>                          | <ul><li>Romain Gneaux (romain.geneaux@cea.fr)</li></ul>                                                                                                                                                                                                                                                                                                                      | <a href="https://pypi.org/project/pymodaq-plugins-hamamatsu/" target="_top">0.2.0</a>              | Viewer2D<ul>   <li>     **Hamamatsu** All cameras using the DCAM-API. Hardware ROI (region of interest) and binning (1x or 2x) are supported. To use ROIs, click on "Show/Hide ROI selection area" in the viewer panel (icon with dashed rectangle). Position the rectangle as you wish, either with mouse or by entering coordinates, then click "Update ROI" button.   </li> </ul>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| <a href="https://pypi.org/project/pymodaq-plugins-holoeye/" target="_top">Holoeye</a>                              | <ul><li>Sebastien J. Weber  (sebastien.weber@cemes.fr)</li></ul>                                                                                                                                                                                                                                                                                                              | <a href="https://pypi.org/project/pymodaq-plugins-holoeye/" target="_top">1.0.2</a>                | Actuators<ul>   <li>**HoloeyeFile**: Used to load phase data into the SLM from a file</li>   <li>**HoloeyeFullScreen**: Used to load a constant (and controllable) phase into the SLM</li>   <li>**HoloeyeSplitScreen**: Used to load a binary phase mask into the SLM and control both the</li> </ul>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| <a href="https://pypi.org/project/pymodaq-plugins-horiba/" target="_top">Horiba</a>                                | <ul><li>Sebastien J. Weber</li></ul>                                                                                                                                                                                                                                                                                                                                          | <a href="https://pypi.org/project/pymodaq-plugins-horiba/" target="_top">2.0.0</a>                 | Viewer1D<ul>   <li>**Labspec6TCP**: Control of Labspec6 settings and acquisition using TCP/IP communication</li> </ul>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| <a href="https://pypi.org/project/pymodaq-plugins-KDC101/" target="_top">KDC101</a>                                | <ul><li>Enzo Sebiane (enzo.sebiane@orange.fr)</li></ul>                                                                                                                                                                                                                                                                                                                       | <a href="https://pypi.org/project/pymodaq-plugins-KDC101/" target="_top">1.4.1</a>                 | Actuators<ul><li>**KDC101**</li></ul>Viewer0D<ul></ul>Viewer1D<ul></ul>Viewer2D<ul></ul>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     |
| <a href="https://pypi.org/project/pymodaq-plugins-keithley/" target="_top">Keithley</a>                            | <ul>   <li>Sebastien J. Weber</li>   <li>Sbastien Guerrero  (sebastien.guerrero@insa-lyon.fr)</li> </ul>                                                                                                                                                                                                                                                                     | <a href="https://pypi.org/project/pymodaq-plugins-keithley/" target="_top">1.1.0</a>               | Viewer0D<ul>   <li>**Keithley_Pico**: Pico-Amperemeter Keithley 648X Series, 6430 and 6514</li>   <li>**Keithley2110**: Multimeter Keithley  2110</li>   <li>     **Keithley27XX**: Keithley 27XX Multimeter/Switch System using switching modules from the 7700 series.   </li> </ul>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| <a href="https://pypi.org/project/pymodaq-plugins-mockexamples/" target="_top">Mockexamples</a>                    | <ul><li>Sebastien J. Weber  (sebastien.weber@cnrs.fr)</li></ul>                                                                                                                                                                                                                                                                                                               | <a href="https://pypi.org/project/pymodaq-plugins-mockexamples/" target="_top">0.2.2</a>           | Actuators<ul>   <li>     **MockCamera**: set of X, Y or theta actuators moving a light image on the corresponding camera instrument   </li>   <li>     **MockNamedAxes**: Show examples of multi axis actuator controller specifying both a name and an integer ID   </li>   <li>     **MockRandom** actuator to be used with the corresponding 0D detector. If they share the same ID in the preset then   </li>   <li>     **MockTauMulti**: controller with multiple axes and showing how to add a characteristic time (to mimic real   </li> </ul>Viewer0D<ul>   <li>     **MockAdaptive**: to be used to show how a detector can be used for adaptive samplking (not working yet with PyMoDAQ4)   </li>   <li>     **MockRandom**: generate a value of a noisy gaussian given the current value of the underlying mock controller.   </li> </ul>Viewer1D<ul>   <li>     **MockSpectro**: mimic data one coulf obtain from a spectrometer. Specific methods are also added to seemlessly use   </li>   <li>     **MockRandom**: Generate a noisy Gaussian with a spread axis (to illustrate the sorting button action of the Viewer1D   </li> </ul>* **MockRandom**: Generate a noisy Gaussian with a spread axis (to illustrate the sorting button action of the Viewer1D<ul></ul>Viewer2D<ul>   <li>     **MockCamera**: if connected with a preset with the MockCamera actuator (or a few of them, X, Y and thera), then the   </li>   <li>     **RoiStuff**: example of ROI exporting into the instrument plugin. Not yet working, planned to be ok for the future   </li> </ul>ViewerND<ul>   <li>     **MockEvents**: Simulate the acquisition of photons received on a timepix camera (position and time of arrival of each photon)   </li> </ul> |
| <a href="https://pypi.org/project/pymodaq-plugins-MozzaSpectro/" target="_top">MozzaSpectro</a>                    | <ul>   <li>First Author  (myemail@xxx.org)</li>   <li>     Other author (myotheremail@xxx.org)          .. if needed use this field              Contributors         ============              * First Contributor         * Other Contributors          .. if needed use this field            Depending on the plugin type, delete/complete the fields below   </li> </ul> | <a href="https://pypi.org/project/pymodaq-plugins-MozzaSpectro/" target="_top">0.1.1</a>           | Actuators<ul>   <li>**yyy**: control of yyy actuators</li>   <li>**xxx**: control of xxx actuators</li> </ul>Viewer0D<ul>   <li>**yyy**: control of yyy 0D detector</li>   <li>**xxx**: control of xxx 0D detector</li> </ul>Viewer1D<ul>   <li>**yyy**: control of yyy 1D detector</li>   <li>**xxx**: control of xxx 1D detector</li> </ul>Viewer2D<ul>   <li>**yyy**: control of yyy 2D detector</li>   <li>**xxx**: control of xxx 2D detector</li> </ul>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| <a href="https://pypi.org/project/pymodaq-plugins-newport/" target="_top">Newport</a>                              | <ul>   <li>Sebastien J. Weber</li>   <li>David Bresteau (david.bresteau@cea.fr)</li>   <li>Sbastien Quistrebert (sebastien.quistrebert@ens-paris-saclay.fr)</li> </ul>                                                                                                                                                                                                       | <a href="https://pypi.org/project/pymodaq-plugins-newport/" target="_top">1.2.0</a>                | Actuators<ul>   <li>**Conex**: Piezo actuators from the CONEX-AGAP series"</li>   <li>**Newport_ESP100**: ESP100 motion controllers</li>   <li>     **AgilisSerial**: for controllers AG-UC8 and AG-UC2 tested with motorized mounts AG-M100N (no encoder)   </li>   <li>**XPS-Q8**: 8-axis Universal Motion Controller/Driver, ethernet</li> </ul>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| <a href="https://pypi.org/project/pymodaq-plugins-oceaninsight/" target="_top">Oceaninsight</a>                    | <ul>   <li>Sebastien J. Weber</li>   <li>Nicolas Tappy</li> </ul>                                                                                                                                                                                                                                                                                                             | <a href="https://pypi.org/project/pymodaq-plugins-oceaninsight/" target="_top">1.1.1</a>           | Viewer1D<ul>   <li>**Omnidriver**: Control of Spectrometer using the Omnidriver library (should be installed)</li>   <li>     **Seabreeze** : If the Omnidriver library is not available, a plugin implementation based on seabreeze is provided: https://python-seabreeze.readthedocs.io/en/latest/index.html   </li> </ul>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| <a href="https://pypi.org/project/pymodaq-plugins-opencv/" target="_top">Opencv</a>                                | <ul><li>Sebastien J. Weber  (sebastien.weber@cnrs.fr)</li></ul>                                                                                                                                                                                                                                                                                                               | <a href="https://pypi.org/project/pymodaq-plugins-opencv/" target="_top">0.0.2</a>                 | Viewer2D<ul><li>**opencv**: control of cameras using the opencv library (mainly webcams)</li></ul>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| <a href="https://pypi.org/project/pymodaq-plugins-orsay/" target="_top">Orsay</a>                                  | <ul></ul>                                                                                                                                                                                                                                                                                                                                                                     | <a href="https://pypi.org/project/pymodaq-plugins-orsay/" target="_top">0.0.1</a>                  |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| <a href="https://pypi.org/project/pymodaq-plugins-physical-measurements/" target="_top">Physical_measurements</a>  | <ul><li>Sebastien J. Weber</li></ul>                                                                                                                                                                                                                                                                                                                                          | <a href="https://pypi.org/project/pymodaq-plugins-physical-measurements/" target="_top">0.1.1</a>  | Viewer0D<ul>   <li>**Keithley_Pico**: Pico-Amperemeter Keithley 648X Series, 6430 and 6514</li>   <li>**Keithley2110**: Multimeter Keithley  2110</li>   <li>**Lockin7270**: Lockin Amplifier Ametek 7270</li>   <li>**LockinSR830**: LockIn Amplifier SR830</li> </ul>Viewer1D<ul>   <li>**LecroyWaveRunner6Zi**: Oscilloscope LecroyWaveRunner 6Zi</li>   <li>**Tektronix**: Oscilloscope Tektronix MDO Series</li>   <li>**Picoscope**: Picoscope from Picotechnology</li> </ul>Viewer2D<ul>   <li>**OpenCVCam**: Webcams control using the opencv library</li>   <li>**GenICam**: GeniCam compliant cameras suing the harvester libary</li>   <li>**TIS**: The Imaging Source TIS cameras</li> </ul>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     |
| <a href="https://pypi.org/project/pymodaq-plugins-physik-instrumente/" target="_top">Physik_instrumente</a>        | <ul><li>Sebastien J. Weber</li></ul>                                                                                                                                                                                                                                                                                                                                          | <a href="https://pypi.org/project/pymodaq-plugins-physik-instrumente/" target="_top">1.2.0</a>     | Actuators<ul>   <li>     **PI**: All stages compatible with the GCS2 library. Tested on E-816, C-863 (mercury DC/Stepper), C-663, E-545.   </li>   <li>     **PILegacy**: All stages compatible with the GCS2 library. Tested on E-816, C-863 (mercury DC/Stepper), C-663, E-545.   </li>   <li>     **PI_MMCLegacy**: old controller and stages using the 32 bits MMC dll (requires 32bit python) C-862 controller. Using   </li>   <li>     **PI_MMC**: old controller and stages using the 32 bits MMC dll (requires 32bit python) C-862 controller. Using a   </li> </ul>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| <a href="https://pypi.org/project/pymodaq-plugins-picoquant/" target="_top">Picoquant</a>                          | <ul><li>Sebastien J. Weber</li></ul>                                                                                                                                                                                                                                                                                                                                          | <a href="https://pypi.org/project/pymodaq-plugins-picoquant/" target="_top">0.1.0</a>              | Viewer1D<ul><li>**TH260**: Timeharp TH260 for *photon counting* and *time tagging*</li></ul>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| <a href="https://pypi.org/project/pymodaq-plugins-piezoconcept/" target="_top">Piezoconcept</a>                    | <ul><li>Sebastien J. Weber</li></ul>                                                                                                                                                                                                                                                                                                                                          | <a href="https://pypi.org/project/pymodaq-plugins-piezoconcept/" target="_top">1.1.0</a>           | Actuators<ul>   <li>**PiezoConcept** : piezoconcept stages (tested on BIO2.100) using the usual serial commands</li>   <li>     **PiezoConceptPI**: Special firmware to emulate functions form the GCS2 library from Physik Instrumente   </li> </ul>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| <a href="https://pypi.org/project/pymodaq-plugins-piezosystemjena/" target="_top">Piezosystemjena</a>              | <ul><li>Nicolas Tappy</li></ul>                                                                                                                                                                                                                                                                                                                                               | <a href="https://pypi.org/project/pymodaq-plugins-piezosystemjena/" target="_top">0.1.0</a>        | Actuators<ul></ul>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| <a href="https://pypi.org/project/pymodaq-plugins-princeton-instruments/" target="_top">Princeton_instruments</a>  | <ul><li>Nicolas Tappy</li></ul>                                                                                                                                                                                                                                                                                                                                               | <a href="https://pypi.org/project/pymodaq-plugins-princeton-instruments/" target="_top">0.1.0</a>  | Viewer2D<ul><li>**picam**: Control of cameras using the picam library.</li></ul>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| <a href="https://pypi.org/project/pymodaq-plugins-raspberry/" target="_top">Raspberry</a>                          | <ul>   <li>     Sebastien J. Weber  (sebastien.weber@cnrs.fr)          .. if needed use this field              Contributors         ============              * First Contributor         * Other Contributors          .. if needed use this field            Depending on the plugin type, delete/complete the fields below   </li> </ul>                                  | <a href="https://pypi.org/project/pymodaq-plugins-raspberry/" target="_top">0.0.1</a>              |     Actuators<ul></ul>    Viewer0D<ul></ul>    Viewer1D<ul></ul>Viewer2D<ul><li>**picamera**: control of the integrated pi camera using the Picamera2 library</li></ul>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| <a href="https://pypi.org/project/pymodaq-plugins-redpitaya/" target="_top">Redpitaya</a>                          | <ul><li>Sebastien J. Weber  (sebastien.weber@cemes.fr)</li></ul>                                                                                                                                                                                                                                                                                                              | <a href="https://pypi.org/project/pymodaq-plugins-redpitaya/" target="_top">0.0.3</a>              | Viewer1D<ul><li>**RedPitayaSCPI**: perform analog data acquisition using one of the fast channels</li></ul>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| <a href="https://pypi.org/project/pymodaq-plugins-signal-recovery/" target="_top">Signal_recovery</a>              | <ul>   <li>Sebastien J. Weber  (sebastien.weber@cemes.fr)</li>   <li>     Other author (myotheremail@xxx.org)          .. if needed use this field              Contributors         ============              * First Contributor         * Other Contributors   </li> </ul>                                                                                                 | <a href="https://pypi.org/project/pymodaq-plugins-signal-recovery/" target="_top">0.0.2</a>        | Actuators<ul>   <li>     **Lockin_DSP7270**: control of the Lockin DSP7270 model (for instance to control the oscillator frequency)   </li> </ul>Viewer0D<ul><li>**Lockin_DSP7270**: control of the Lockin DSP7270 model</li></ul>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| <a href="https://pypi.org/project/pymodaq-plugins-smaract/" target="_top">Smaract</a>                              | <ul>   <li>David Bresteau (david.bresteau@cea.fr)</li>   <li>Sebastien J. Weber (sebastien.weber@cnrs.fr)</li> </ul>                                                                                                                                                                                                                                                          | <a href="https://pypi.org/project/pymodaq-plugins-smaract/" target="_top">2.0.4</a>                | Actuators<ul>   <li>**SmaractMCS** SLC linear stages with sensor (S option) with MCS controller</li>   <li>**SmaractMCS2** SLC linear stages with sensor (S option) with MCS2 controller</li>   <li>     **SmaractSCU** SLC linear or angular stages with or without sensors using the Instrumental-lib package and the   </li> </ul>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| <a href="https://pypi.org/project/pymodaq-plugins-srs/" target="_top">Srs</a>                                      | <ul><li>Sebastien J. Weber  (sebastien.weber@cemes.fr)</li></ul>                                                                                                                                                                                                                                                                                                              | <a href="https://pypi.org/project/pymodaq-plugins-srs/" target="_top">0.0.2</a>                    | Viewer0D<ul></ul>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| <a href="https://pypi.org/project/pymodaq-plugins-stellarnet/" target="_top">Stellarnet</a>                        | <ul><li>Romain Geneaux</li></ul>                                                                                                                                                                                                                                                                                                                                              | <a href="https://pypi.org/project/pymodaq-plugins-stellarnet/" target="_top">2.0.1</a>             | Viewer1D<ul>   <li>     **Stellarnet**: USB spectrometers made by StellarNet, Inc (https://www.stellarnet.us/spectrometers/).   </li> </ul>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| <a href="https://pypi.org/project/pymodaq-plugins-thorlabs/" target="_top">Thorlabs</a>                            | <ul>   <li>Sebastien J. Weber</li>   <li>David Bresteau (david.bresteau@cea.fr)</li>   <li>Nicolas Tappy (nicolas.tappy@epfl.ch)</li>   <li>Romain Geneaux (romain.geneaux@cea.fr)</li> </ul>                                                                                                                                                                                 | <a href="https://pypi.org/project/pymodaq-plugins-thorlabs/" target="_top">1.2.0</a>               | Actuators<ul>   <li>**KinesisIntegratedStepper**: Integrated Stepper Motor Kinesis series (tested on K10CR1)</li>   <li>**Kinesis_Flipper**: Kinesis series Flipper</li>   <li>     **MFF101_pylablib**: Kinesis series Flipper mount (thorlabs MFF101), similar to **Kinesis_FLipper** but using the pylablib control module.   </li>   <li>     **PRM1Z8_pylablib**: DC servo motorized 360 rotation mount (Thorlabs PRM1Z8) using the pylablib control module. The Thorlabs APT software should be installed: https://www.thorlabs.com/newgrouppage9.cfm?objectgroup_id=9019.   </li> </ul>Viewer0D<ul>   <li>**Kinesis_KPA101**: Position Sensitive Photodetector Kinesis series (KPA101)</li>   <li>     **TLPMPowermeter**: TLPM dll compatible series (PM101x, PM102x, PM103x, PM100USB, PM16-Series, PM160, PM400, PM100A, PM100D, PM200)   </li> </ul>Viewer2D<ul>   <li>     **DCx cameras**: Tested with DCC3240M. Works with Windows. Precise installation instructions can be found here:   </li>   <li>     **Scientific cameras**: sCMOS camera series Zelux, Kiralux, Quantalux. Implemented using the pylablib control module.   </li> </ul>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| <a href="https://pypi.org/project/pymodaq-plugins-uniblitz/" target="_top">Uniblitz</a>                            | <ul>   <li>Matthieu Guer  (matthieu.guer@cea.fr)</li>   <li>Romain Gneaux (romain.geneaux@cea.fr)</li> </ul>                                                                                                                                                                                                                                                                 | <a href="https://pypi.org/project/pymodaq-plugins-uniblitz/" target="_top">0.1.2</a>               | Actuators<ul>   <li>     **VLM1**: control of Uniblitz VLM1 Shutter Interface Module by USB. Very basic functionality to switch the shutter, without reading the actual state of the shutter.   </li> </ul>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| <a href="https://pypi.org/project/pymodaq-plugins-zaber/" target="_top">Zaber</a>                                  | <ul>   <li>Romain Gneaux</li>   <li>Sebastien J. Weber (sebastien.weber@cnrs.fr)</li> </ul>                                                                                                                                                                                                                                                                                  | <a href="https://pypi.org/project/pymodaq-plugins-zaber/" target="_top">2.0.1</a>                  | Actuators<ul>   <li>     **Zaber** All motors using the Zaber ASCII Motion Library. Rotations and translations should be both supported (units should adapt to the actuator type), but I only tested translation stages so far.   </li>   <li>**ZaberBinary**: control of zaber actuators using the legacy binary protocol</li> </ul>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
